### Function

# GLib test_rand_double_range

since: 2.16

#### Declaration [src]

    double
    g_test_rand_double_range (
      double range_start,
      double range_end
    )

#### Description [src]

Gets a reproducible random floating point number out of a specified range.

See `g_test_rand_int()` for details on test case random numbers.

Available since: 2.16

#### Parameters

`range_start`

  Type: `double`

  The minimum value returned by this function.

`range_end`

  Type: `double`

  The minimum value not returned by this function.

#### Return value

Type: `double`

A number with `range_start` <= number < `range_end`.